const request = weex.requireModule("HLRequest");
var modal = weex.requireModule("HLModal");
export default {
	//获得一级专长
	getOneCates: function(callback) {
		var cache = eeui.getCaches('cateSection', []);
		var cateSection = [];
		if (typeof cache == 'string') {
			//JSON.parse  安卓格式要转换
			cateSection = JSON.parse(cache);
		} else if (typeof cache == 'object') {
			cateSection = cache;
		}

		if (cateSection.length > 0) {
			callback(cateSection)
		} else {
			// modal.showLoading();
			request.requestGetAppAboutApi('/api/Common/GetFirstCategoryList', {}, function(ret) {
				// modal.hideLoading();
				if (ret.isSuccess) {
					var arr = ret.data;
					let tempArr = [];
					arr.map(item => {
						tempArr.push({
							id: item.value,
							name: item.text
						});
					});
					var cateSection = tempArr;

					eeui.setCachesString('cateSection', cateSection, 7 * 3600 * 24);
					callback(cateSection)
				} else {
					modal.toast({
						text: ret.msg ? ret.msg : '网络异常'
					});
					callback([])
				}
			});
		}
	},
	//获得2级专长
	getTwoCates: function(id, callback) {
		request.requestPostBaseInfoApi(
			'/api/category/getLawCategoryLevel2ByFiled', {
				id: id
			},
			function(ret) {
				if (ret.isSuccess) {
					// modal.hideLoading();
					var arr = ret.data;
					let tempArr = [];
					arr.map(item => {
						tempArr.push({
							id: item.categoryID,
							name: item.categoryName
						});
					});
					var cateArr = tempArr;
					callback(cateArr)

				} else {
					modal.toast({
						text: ret.msg ? ret.msg : '网络异常'
					})
					callback([])
				}
			}
		);
	},
	getContractCates: function(callback) {
		var cache = eeui.getCaches('contractCates', []);
		var cateSection = [];
		if (typeof cache == 'string') {
			//JSON.parse  安卓格式要转换
			cateSection = JSON.parse(cache);
		} else if (typeof cache == 'object') {
			cateSection = cache;
		}
	
		if (cateSection.length > 0) {
			callback(cateSection)
		} else {
			hl.request({
					method: 'get',
					gateway: 'template',
					url: '/api/open/v1/category/all',
					data: {
						status: 1
					}
				},
				function(ret) {
					if (ret.isSuccess) {
						var data = ret.data
						let obj = data.reduce((temp,item)=> {
							temp[item.classId] = item
							return temp
						},{})
						let list = new Set()
						data.forEach(item =>{
							let temp = item
							while(obj[temp.parentId]){
								if(Array.isArray(obj[temp.parentId].children)){
									if(obj[temp.parentId].children.indexOf(temp) < 0){
										obj[temp.parentId].children.push(temp)
									}
								}else {
									obj[temp.parentId].children = [temp]
								}
								temp = obj[temp.parentId]
							}
							if(!obj[temp.parentId]){
								list.add(temp)
							}
						})
						list = [...list]
						let cateList = list.reduce((temp,item)=>{
							if(Array.isArray(item.children)){
								temp.push(...item.children)
							}
							return temp
						},[])
						eeui.setCachesString('contractCates', cateList, 7 * 3600 * 24);
						callback(cateList)
					
			
					}else{
						callback(cateSection)
					}
				}
			);
			
		
		}
	},

}
