const eeui = app.requireModule('eeui');
const hl = weex.requireModule('hualv');
const modal = weex.requireModule('HLModal');
const umengAnalytics = app.requireModule("HLUmengAnalytics");
import userCenter from 'utils/userCenter.js';
import locationHelper from "utils/locationHelper.js";
var navigator = app.requireModule('navigator');
export default {
	showLoginDialog(umengAnalyticsName) {
		hl.oneKeyLogin(ret => {
			console.log("onClickLogin00:",ret)
			if (ret.isSuccess == true) {
				this.oneKeyLoginTask(ret.token,umengAnalyticsName);
			} else {
				hl.closeOneKeyLogin();
				setTimeout(() => {
					this.pushUrl({
							url: 'root:pages/login/login/loginBySMS.js',
							pageName: 'loginBySMS',
							params: {
								umengAnalyticsName: umengAnalyticsName,
							}
						},
						() => {}
					);
				}, 100);
				
			}
		});
	},
	oneKeyLoginTask(token,umengAnalyticsName) {
		modal.showLoading();
		var isClose = false;
		console.log("onClickLogin11:",token)
		setTimeout(() => {
			if(isClose == false){
				hl.closeOneKeyLogin();
				isClose = true;
			}
		}, 10000);
		hl.request({
				method: 'post',
				gateway: 'userapi',
				url: '/api/public/oneClickLoginAndRegist',
				data: {
					cityId: locationHelper.getLocation().cid,
					provinceId: locationHelper.getLocation().pid,
					token: token,
					source: 'https://app.hualv.com/app/hualvuser/pages/login.js'
				}
			},
			ret => {
				modal.hideLoading();
				console.log("onClickLogin:",ret)
				// 回调数据
				if (ret.isSuccess) {
					if (WXEnvironment.platform == "iOS") {
						hl.handleLoginData(ret);
					}
					isClose = true;
					hl.closeOneKeyLogin();
					userCenter.setUserInfo(ret.data);
					if (ret.data && ret.data.userGlobalId) {
						umengAnalytics.profileSignInWithPUID(ret.data.userGlobalId)
					}
					new BroadcastChannel('kUserLoginStateChanged').postMessage({});
					const profile = new BroadcastChannel('LoginSuccess');
					profile.postMessage({
						profile: 'success'
					});
					modal.toast({
						text: '登录成功'
					});
				} else {
					modal.toast({
						text: ret.msg ? ret.msg : '一键登录失败，请使用其他登录方式'
					});
					if (WXEnvironment.platform == "iOS") {
						setTimeout(() => {
							isClose = true;
							hl.closeOneKeyLogin();
							this.pushUrl({
									url: 'root:pages/login/login/loginBySMS.js',
									pageName: 'loginBySMS',
									params: {
										umengAnalyticsName: umengAnalyticsName,
									}
								},
								() => {}
							);
						}, 1000);
					}else {
						isClose = true;
						hl.closeOneKeyLogin();
						setTimeout(() => {
							this.pushUrl({
									url: 'root:pages/login/login/loginBySMS.js',
									pageName: 'loginBySMS',
									params: {
										umengAnalyticsName: umengAnalyticsName,
									}
								},
								() => {}
							);
						}, 1000);
					}
				}
			}
		);
	},
	pushUrl(params, callBack) {
		// 无 pageTitle 情况隐藏原生导航栏目
		if (this.isNullOrUndefined(params.pageTitle)) {
			params.statusBarType = 'immersion';
		} else {
			params.statusBarType = "normal";
		}
		if (this.isNullOrUndefined(params.statusBarColor)) {
			params.statusBarColor = "#FFFFFF";
			params.statusBarStyle = params.statusBarStyle ? params.statusBarStyle : false;
		} else {
			params.statusBarStyle = params.statusBarStyle ? params.statusBarStyle : true;
		}
		if (this.isNullOrUndefined(params.showSafeAreaBottom)) {
			params.safeAreaBottom = 0;
		}
		params.pageType = 'app';
		params.animatedType = 'push';

		if (WXEnvironment.platform == "iOS") {
			params.swipeBack = true;
		} else {
			params.swipeBack = false;
		}

		navigator.push(params, (result) => {
			callBack(result)
		});
	},
	isNullOrUndefined(obj) {
		return typeof obj === "undefined" || obj === null;
	},

}
