import userCenter from './userCenter.js';
var navigator = app.requireModule('navigator');

export default {

	match: function(str, keywords) {
		str = String(str)
		var ks = ''
		if (Array.isArray(keywords)) {
			ks = keywords.map(k => '\\d+' + k).join('|') + '|'
		} else if (typeof keywords === 'string') {
			ks = `\\d+${keywords}|`
		}
		var checker = new RegExp(`${ks}\\d+|\\D+`, 'g')
		return str.match(checker).sort((a, b) => !isNaN(a * 1) && isNaN(b * 1) ? 1 : -1)
	},
	// 图片链接处理
	spliceImageLink: function(url) {
		if (url == null) {
			return ""
		}
		if (url.substr(0, 5).toLowerCase() == "http:" || url.substr(0, 6).toLowerCase() == "https:") {
			url = url;
		} else {
			url = "https:" + url;
		}
		return url;
	},
	// 获取客服电话统一配置
	getCustomerPhoneNumber: function() {
		return '400-0460-789';
	},
	toService() {
		var hours = new Date().getHours();
		if (hours >= 9 && hours < 18) {
			hl.pushToOnlineService();
		} else {
			if (!userCenter.isLogin) {
				oneKeyLogin.showLoginDialog("");
			} else {
				this.pushUrl({
						url: "root:pages/mine/feedback/feedback.js",
						pageName: "feedback",
						params: {
							chooseIndex: 1
						}
					},
					() => {}
				);
			}
		}
	},
	// 打开新页面，定义好跳转参数
	pushUrl(params, callBack) {
		// 无 pageTitle 情况隐藏原生导航栏目
		if (!params.pageTitle) {
			params.statusBarType = 'immersion';
		} else {
			params.statusBarType = "normal";
		}
		if (!params.statusBarColor) {
			params.statusBarColor = "#FFFFFF";
			params.statusBarStyle = params.statusBarStyle ? params.statusBarStyle : false;
		} else {
			params.statusBarStyle = params.statusBarStyle ? params.statusBarStyle : true;
		}
		if (!params.showSafeAreaBottom) {
			params.safeAreaBottom = 0;
		}
		params.pageType = 'app';
		params.animatedType = 'push';

		if (WXEnvironment.platform == "iOS") {
			params.swipeBack = true;
		} else {
			params.swipeBack = false;
		}

		navigator.push(params, (result) => {
			callBack(result)
		});
	},
	getPayWay(callBack) {
		const self = this;
		// var cache = eeui.getVariate('payWay', []);
		// var payWay = [];
		// if (typeof cache == 'string') {
		// 	//JSON.parse  安卓格式要转换
		// 	payWay = JSON.parse(cache);
		// } else if (typeof cache == 'object') {
		// 	payWay = cache;
		// }
		// console.log("--payWay-", payWay)
		// if (payWay && payWay.length > 0) {
		// 	callBack({
		// 		data: payWay
		// 	})
		// } else {

		hl.request({
				method: 'post',
				gateway: 'tradeapi',
				url: '/api/user/routingBuild',
				data: {
					appType: WXEnvironment.platform == 'iOS' ? 2 : 1,
					bizType: 9,
					platformCode: "hualv"
				}
			},
			function(res) {
				if (res.data) {
					var data = res.data.map(item => {
						return {
							payChannelCode: item.payChannelCode,
							payConfigCode: item.payConfigCode,
							payTypeName: item.displayName,
							payWayCode: item.payWayCode,
							iconUrlApp: 'http:' + item.iconUrl
						}
					});
					res.data = data

					eeui.setVariate('payWay', data);

				}

				callBack(res)
			});
		// }

	},




}
